<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/all_clear', function () {
    Artisan::call('config:cache');
    Artisan::call('cache:clear');
    Artisan::call('view:clear');
    Artisan::call('route:clear');
    Artisan::call('config:clear');
    echo '<script>alert("all clear Success")</script>';
});
Route::get('/sl', function () {
    Artisan::call('storage:link');
    echo '<script>alert("linked")</script>';
});


Route::get('/', ['as' => 'user.login', 'uses' => 'backend\UserController@index']);
Route::post('/admin-panel', ['as' => 'user.check', 'uses' => 'backend\UserController@login']);
//Route::get('/', function () {
//    return view('welcome');
//});
Route::group(['middleware' => 'Revalidate'],function() {
    Route::group(['middleware' => 'Authenticate'], function () {

        Route::get('/dashboard-panel', ['as' => 'user.dashboard', 'uses' => 'backend\DashboardController@index']);
       
        // Profile change section @Azharul
        Route::Get('changeProfile','backend\ProfileController@changeProfile')->name('profile.changeProfile');
        Route::Post('updateprofile','backend\ProfileController@updateprofile')->name('profile.updateprofile');
        
        //backup controller
        Route::get('backup/download/{file}', 'backend\BackupController@downloadBackup')->name('backup.download');
        Route::get('/backup', 'backend\BackupController@index')->name('backup.index');
        Route::Post('backup/create', 'backend\BackupController@store')->name('backup.store');
        Route::delete('backup/clean', 'backend\BackupController@clean')->name('backup.clean');
        Route::delete('backup/delete/{file}', 'backend\BackupController@destroy')->name('backup.destroy');

        // setting section
        Route::resource('about','backend\AboutController');
        Route::Get('setting','backend\SettingController@edit')->name('setting.edit');
        Route::PUT('setting/{id}/update','backend\SettingController@update')->name('setting.update');
        //Route::get('/setting', ['as' => 'setting.edit', 'uses' => 'backend\DashboardController@edit']);
        //Route::Post('/setting-update/{id}', ['as' => 'setting.update', 'uses' => 'backend\DashboardController@update']);

        Route::get('/user-list', ['as' => 'user.userlist', 'uses' => 'backend\UserController@userlist']);
        Route::get('/user-status/{id}', ['as' => 'user.status', 'uses' => 'backend\UserController@show']);
        Route::get('/user-edit/{id}', ['as' => 'user.edit', 'uses' => 'backend\UserController@edit']);
        Route::Post('/user-update/{id}', ['as' => 'user.update', 'uses' => 'backend\UserController@update']);

        Route::get('/user-register', ['as' => 'user.register', 'uses' => 'backend\UserController@create']);
        Route::post('/user-save', ['as' => 'user.store', 'uses' => 'backend\UserController@store']);
        Route::get('/change-password', ['as' => 'change.password', 'uses' => 'backend\UserController@changepassword']);
        Route::post('/change-save', ['as' => 'change.save', 'uses' => 'backend\UserController@changesave']);
        
        Route::Get('user_log','backend\UserController@user_log')->name('user.user_log');
        Route::Get('user_activities/{id}','backend\UserController@user_activities')->name('user.user_activities');
    
        Route::get('/reset-password', ['as' => 'reset.password', 'uses' => 'backend\ForgotPasswordController@showLinkRequestForm']);
        Route::post('password/email', ['as' => 'reset.password.send', 'uses' => 'backend\ForgotPasswordController@sendResetLinkEmail']);
        Route::get('password/reset/{token}', ['as' => 'reset.password.token', 'uses' => 'backend\ResetPasswordController@showResetForm']);
        Route::post('password/reset', ['as' => 'reset.password.save', 'uses' => 'backend\ResetPasswordController@reset']);


        Route::get('/logout', ['as' => 'user.logout', 'uses' => 'backend\UserController@logout']);

        Route::get('/module-group-create', ['as' => 'module_group.create', 'uses' => 'backend\ModuleGroupController@create']);
        Route::post('/module-group-store', ['as' => 'module_group.store', 'uses' => 'backend\ModuleGroupController@store']);
        Route::get('/module-group-list', ['as' => 'module_group.list', 'uses' => 'backend\ModuleGroupController@index']);
        Route::get('/module-group-edit/{id}', ['as' => 'module_group.edit', 'uses' => 'backend\ModuleGroupController@edit']);
        Route::post('/module-group-update/{id}', ['as' => 'module_group.update', 'uses' => 'backend\ModuleGroupController@update']);

        Route::get('/module-create', ['as' => 'module.create', 'uses' => 'backend\ModuleController@create']);
        Route::post('/module-store', ['as' => 'module.store', 'uses' => 'backend\ModuleController@store']);
        Route::get('/module-list', ['as' => 'module.list', 'uses' => 'backend\ModuleController@index']);
        Route::get('/module-edit/{id}', ['as' => 'module.edit', 'uses' => 'backend\ModuleController@edit']);
        Route::post('/module-update/{id}', ['as' => 'module.update', 'uses' => 'backend\ModuleController@update']);

        Route::get('/module/asign/{id}', ['as' => 'module.asign', 'uses' => 'backend\ModuleController@asign']);
        Route::post('/module/moduleasign/{id}', ['as' => 'module.moduleasign', 'uses' => 'backend\ModuleController@moduleasign']);

        Route::get('/role-create', ['as' => 'role.create', 'uses' => 'backend\RoleController@create']);
        Route::post('/role-store', ['as' => 'role.store', 'uses' => 'backend\RoleController@store']);
        Route::get('/role-list', ['as' => 'role.list', 'uses' => 'backend\RoleController@index']);

        Route::get('/permission-create', ['as' => 'permission.create', 'uses' => 'backend\PermissionController@create']);
        Route::post('/permission-store', ['as' => 'permission.store', 'uses' => 'backend\PermissionController@store']);
        Route::get('/permission-list', ['as' => 'permission.list', 'uses' => 'backend\PermissionController@index']);
        Route::delete('/permission-delete/{id}', ['as' => 'permission.delete', 'uses' => 'backend\PermissionController@destroy']);
        Route::get('/permission-edit/{id}', ['as' => 'permission.edit', 'uses' => 'backend\PermissionController@edit']);
        Route::post('/permission-update/{id}', ['as' => 'permission.update', 'uses' => 'backend\PermissionController@update']);


        Route::get('/permission/asign/{id}', ['as' => 'permission.asign', 'uses' => 'backend\PermissionController@asign']);
        Route::post('/permission/permissionasign/{id}', ['as' => 'permission.permissionasign', 'uses' => 'backend\PermissionController@permissionasign']);
        
        /*-----------sms section--------------*/
        //Route::Get('sms/index','backend\SmsController@index')->name('sms.index');
        Route::Get('sms/create','backend\SmsController@create')->name('sms.create');
        Route::Post('sms/store','backend\SmsController@store')->name('sms.store');
        Route::Post('sms/sms_send','backend\SmsController@sms_send')->name('sms.sms_send');
        Route::get('sms-list', ['as' => 'sms.index', 'uses' => 'backend\SmsController@index']);
        Route::get('sms-edit', ['as' => 'sms.edit', 'uses' => 'backend\SmsController@edit']);
        Route::PUT('sms/update/{id}','backend\SmsController@update')->name('sms.update');
        
        /*----------category section--------*/
        Route::get('/productcategory-create', ['as' => 'productcategory.create', 'uses' => 'backend\ProductcategoryController@create']);
        Route::get('/category-list', ['as' => 'productcategory.list', 'uses' => 'backend\ProductcategoryController@index']);
        Route::post('/productcategory-save', ['as' => 'productcategory.store', 'uses' => 'backend\ProductcategoryController@store']);
        Route::delete('/productcategory-delete/{id}', ['as' => 'productcategory.delete', 'uses' => 'backend\ProductcategoryController@destroy']);
        Route::get('/productcategory-edit/{id}/edit', ['as' => 'productcategory.edit', 'uses' => 'backend\ProductcategoryController@edit']);
        Route::post('/productcategory-update/{id}', ['as' => 'productcategory.update', 'uses' => 'backend\ProductcategoryController@update']);
        Route::Get('getCategory','backend\ProductcategoryController@getCategory')->name('productcategory.getCategory');
        /*-----------unit section------------*/
        Route::get('/unit-create', ['as' => 'unit.create', 'uses' => 'backend\UnitController@create']);
        Route::get('/unit-list', ['as' => 'unit.list', 'uses' => 'backend\UnitController@index']);
        Route::post('/unit-save', ['as' => 'unit.store', 'uses' => 'backend\UnitController@store']);
        Route::delete('/unit-delete/{id}', ['as' => 'unit.delete', 'uses' => 'backend\UnitController@destroy']);
        Route::get('/unit-edit/{id}/edit', ['as' => 'unit.edit', 'uses' => 'backend\UnitController@edit']);
        Route::post('/unit-update/{id}', ['as' => 'unit.update', 'uses' => 'backend\UnitController@update']);

        /*-----------product section-----------*/
        Route::get('/product-create', ['as' => 'product.create', 'uses' => 'backend\ProductController@create']);
        Route::get('/product-list', ['as' => 'product.list', 'uses' => 'backend\ProductController@index']);
        Route::post('/product-save', ['as' => 'product.store', 'uses' => 'backend\ProductController@store']);
        Route::delete('/product-delete/{id}', ['as' => 'product.delete', 'uses' => 'backend\ProductController@destroy']);
        Route::get('/product-edit/{id}/edit', ['as' => 'product.edit', 'uses' => 'backend\ProductController@edit']);
        Route::post('/product-update/{id}', ['as' => 'product.update', 'uses' => 'backend\ProductController@update']);
        
        //Route::get('/stock-edit/{id}/edit', ['as' => 'stock.edit', 'uses' => 'backend\ProductController@stockedit']);
        //Route::post('/stock-update/{id}', ['as' => 'stock.update', 'uses' => 'backend\ProductController@stockupdate']);

        /*------------supplier section--------*/
        Route::get('/supplier-create', ['as' => 'supplier.create', 'uses' => 'backend\SupplierController@create']);
        Route::get('/supplier-list', ['as' => 'supplier.list', 'uses' => 'backend\SupplierController@index']);
        Route::post('/supplier-save', ['as' => 'supplier.store', 'uses' => 'backend\SupplierController@store']);
        Route::delete('/supplier-delete/{id}', ['as' => 'supplier.delete', 'uses' => 'backend\SupplierController@destroy']);
        Route::get('/supplier-edit/{id}/edit', ['as' => 'supplier.edit', 'uses' => 'backend\SupplierController@edit']);
        Route::post('/supplier-update/{id}', ['as' => 'supplier.update', 'uses' => 'backend\SupplierController@update']);
        
        /*------------employee section--------*/
        Route::get('/employee-create', ['as' => 'employee.create', 'uses' => 'backend\EmployeeController@create']);
        Route::get('/employee-list', ['as' => 'employee.list', 'uses' => 'backend\EmployeeController@index']);
        Route::post('/employee-save', ['as' => 'employee.store', 'uses' => 'backend\EmployeeController@store']);
        Route::delete('/employee-delete/{id}', ['as' => 'employee.delete', 'uses' => 'backend\EmployeeController@destroy']);
        Route::get('/employee-status/{id}/status', ['as' => 'employee.status', 'uses' => 'backend\EmployeeController@status']);
        Route::get('/employee-edit/{id}/edit', ['as' => 'employee.edit', 'uses' => 'backend\EmployeeController@edit']);
        Route::post('/employee-update/{id}', ['as' => 'employee.update', 'uses' => 'backend\EmployeeController@update']);
        
        // salary payment section
        Route::get('/salary-list', ['as' => 'salary.list', 'uses' => 'backend\SalaryController@index']);
        Route::get('/salary-create', ['as' => 'salary.create', 'uses' => 'backend\SalaryController@create']);
        Route::post('/salary-save', ['as' => 'salary.store', 'uses' => 'backend\SalaryController@store']);
        Route::get('/salary-edit/{id}/edit', ['as' => 'salary.edit', 'uses' => 'backend\SalaryController@edit']);
        Route::post('/salary-update/{id}', ['as' => 'salary.update', 'uses' => 'backend\SalaryController@update']);
        
        /*---------------purchase section--------------*/
        Route::get('/purchase-create', ['as' => 'purchase.create', 'uses' => 'backend\PurchaseController@create']);
        Route::get('/purchase-list', ['as' => 'purchase.list', 'uses' => 'backend\PurchaseController@index']);
        Route::post('/purchase-save', ['as' => 'purchase.store', 'uses' => 'backend\PurchaseController@store']);
        //Route::delete('/purchase-delete/{id}', ['as' => 'purchase.delete', 'uses' => 'backend\PurchaseController@destroy']);
        Route::get('/purchase-show/{id}', ['as' => 'purchase.show', 'uses' => 'backend\PurchaseController@show']);
        Route::get('/purchase-update/{id}', ['as' => 'purchase.update', 'uses' => 'backend\PurchaseController@update']);
        Route::post('/purchase-report', ['as' => 'purchase.report', 'uses' => 'backend\PurchaseController@export']);

        Route::Get('productList','backend\PurchaseController@productList')->name('purchase.productList');
        Route::Get('productDetails','backend\PurchaseController@productDetails')->name('purchase.productDetails');

        /*---------------------------Stock list  Section-----------------------------*/
        Route::Get('stocklist','backend\StockController@stocklist')->name('stock.stocklist');
        Route::Get('store_stock','backend\StockController@store_stock')->name('stock.store_stock');
        Route::Get('house_stock','backend\StockController@house_stock')->name('stock.house_stock');
        Route::Get('stockStatus/{id}','backend\StockController@stockStatus')->name('stock.stockStatus');
  
        Route::Put('stocks','backend\StockController@stocks')->name('stock.stocks');
        Route::post('wpList','backend\StockController@wpList')->name('stock.wpList');

        Route::post('cpList','backend\StockController@cpList')->name('stock.cpList');
        //Route::post('bpList','backend\StockController@bpList')->name('stock.bpList');
        Route::post('pList','backend\StockController@pList')->name('stock.pList');
        /*--------------------------from warehouse click show this route-------------------------------------*/
        Route::get('stock/{id}/wstock','backend\StockController@wstock')->name('stock.wstock');
        /*-----*/
        Route::get('stock_ledger','backend\StockController@stock_ledger')->name('stock.stock_ledger');
        Route::get('stock_ledgers','backend\StockController@stock_ledgers')->name('stock.stock_ledgers');
        /*----------------------------stock transfer section------------------------------------------*/
        Route::Get('stock_transfer','backend\StockController@stock_transfer')->name('stock.stock_transfer');
        Route::POST('spList','backend\StockController@spList')->name('stock.spList');
        Route::POST('spDetails','backend\StockController@spDetails')->name('stock.spDetails');
        Route::Put('sptupdate','backend\StockController@sptupdate')->name('stock.sptupdate');
        /*===============================================================================*/

        /*------------customer section--------*/
        Route::get('/customer-create', ['as' => 'customer.create', 'uses' => 'backend\CustomerController@create']);
        Route::get('/customer-list', ['as' => 'customer.list', 'uses' => 'backend\CustomerController@index']);
        Route::get('/customer-record', ['as' => 'customer.customer-record', 'uses' => 'backend\CustomerController@customer_record']);
        Route::get('/customer-search', ['as' => 'customer.customer_search', 'uses' => 'backend\CustomerController@customer_search']);
        Route::get('/customers', ['as' => 'customer.customers', 'uses' => 'backend\CustomerController@customers']);
        Route::Post('/customer-records', ['as' => 'customer.customer-records', 'uses' => 'backend\CustomerController@customer_records']);
        Route::get('/record_send/{id}', ['as' => 'customer.record_send', 'uses' => 'backend\CustomerController@record_send']);
        Route::get('/record_print/{id}', ['as' => 'customer.record_print', 'uses' => 'backend\CustomerController@record_print']);
        Route::get('/customer-status/{id}', ['as' => 'customer.status', 'uses' => 'backend\CustomerController@status']);
        
        Route::post('/customer-save', ['as' => 'customer.store', 'uses' => 'backend\CustomerController@store']);
        Route::delete('/customer-delete/{id}', ['as' => 'customer.delete', 'uses' => 'backend\CustomerController@destroy']);
        Route::get('/customer-edit/{id}/edit', ['as' => 'customer.edit', 'uses' => 'backend\CustomerController@edit']);
        Route::post('/customer-update/{id}', ['as' => 'customer.update', 'uses' => 'backend\CustomerController@update']);

        /*-----------sales section------------*/
        Route::get('/sales-create', ['as' => 'sales.create', 'uses' => 'backend\SalesController@create']);
        Route::post('/sales-store', ['as' => 'sales.store', 'uses' => 'backend\SalesController@store']);
        Route::get('/sales-list', ['as' => 'sales.list', 'uses' => 'backend\SalesController@index']);
        Route::get('/invoice-list', ['as' => 'sales.invoice_search', 'uses' => 'backend\SalesController@invoice_search']);
        Route::get('/ajaxsales-list', ['as' => 'ajaxsales.list', 'uses' => 'backend\SalesController@ajaxlist']);
        Route::get('/show/{id}',  'backend\SalesController@show')->name('sales.show');
        Route::get('/print/{id}',  'backend\SalesController@print')->name('sales.print');

        Route::get('/ajaxproduct-list', ['as' => 'ajaxproduct.list', 'uses' => 'backend\SalesController@productList2']);
        Route::Get('/product-detail', ['as' => 'ajaxproduct.detail', 'uses' => 'backend\SalesController@productDetails2']);

        Route::get('customerList','backend\SalesController@customerList')->name('sales.customerList');
        Route::get('customerDetails','backend\SalesController@customerDetails')->name('sales.customerDetails');

        Route::Post('sales_draft_update','backend\SalesController@sales_draft_update')->name('sales.sales_draft_update');
        Route::Get('sdf_remove','backend\SalesController@sdf_remove')->name('sales.sdf_remove');

       // Route::get('/ajax-form', ['as' => 'ajax.form', 'uses' => 'backend\SalesController@ajaxform']);
       // Route::get('/refresh-product', ['as' => 'refresh.product', 'uses' => 'backend\SalesController@refreshproduct']);
        Route::get('/sales-allpdf', ['as' => 'sales.printall', 'uses' => 'backend\SalesController@getallpdf']);
        Route::post('/custom-report', ['as' => 'custom.report', 'uses' => 'backend\SalesController@getcustomreport']);
       // Route::post('/getquantity', ['as' => 'sales.getquantity', 'uses' => 'backend\SalesController@getquantity']);
       // Route::post('/getprice', ['as' => 'sales.getprice', 'uses' => 'backend\SalesController@getprice']);
       // Route::post('/savetosales', ['as' => 'save.sales', 'uses' => 'backend\SalesController@savetosales']);
        //Route::delete('/delete-salescart/{id}/{pid}', ['as' => 'salescart.delete', 'uses' => 'backend\SalesController@deletecart']);

        /*-------------wastage  section-----------------*/
        Route::get('/wastage-create', ['as' => 'wastage.create', 'uses' => 'backend\WastageController@create']);
        Route::get('/wastage-list', ['as' => 'wastage.list', 'uses' => 'backend\WastageController@index']);
        Route::post('/wastage-save', ['as' => 'wastage.store', 'uses' => 'backend\WastageController@store']);
        Route::delete('/wastage-delete/{id}', ['as' => 'wastage.delete', 'uses' => 'backend\WastageController@destroy']);
        Route::get('/wastage-edit/{id}/edit', ['as' => 'wastage.edit', 'uses' => 'backend\WastageController@edit']);
        Route::post('/wastage-update/{id}', ['as' => 'wastage.update', 'uses' => 'backend\WastageController@update']);


        /*------------account payment and receive section----------*/
         //supplier payment section
        Route::Get('spi','backend\AccountController@spi')->name('account.spi');
        Route::Post('spsearch','backend\AccountController@spsearch')->name('account.spsearch');
        Route::Post('spstore','backend\AccountController@spstore')->name('account.spstore');
        
        // Customer payment section
        Route::Get('cpi','backend\AccountController@cpi')->name('account.cpi');
        Route::POST('cpsearch','backend\AccountController@cpsearch')->name('account.cpsearch');
        Route::POST('cpstore','backend\AccountController@cpstore')->name('account.cpstore');
        Route::Get('account/cpprint/{id}','backend\AccountController@cpprint')->name('account.cpprint');
        
        Route::Get('payable_date','backend\AccountController@payable_date')->name('account.payable_date');
        Route::Get('payable_dates','backend\AccountController@payable_dates')->name('account.payable_dates');
        Route::Get('date_update','backend\AccountController@date_update')->name('account.date_update');
        
        /*-------------expense section--------------*/
        Route::get('/expenses-create', ['as' => 'expenses.create', 'uses' => 'backend\ExpensesController@create']);
        Route::get('/expenses-list', ['as' => 'expenses.list', 'uses' => 'backend\ExpensesController@index']);
        Route::post('/expenses-save', ['as' => 'expenses.store', 'uses' => 'backend\ExpensesController@store']);
        Route::delete('/expenses-delete/{id}', ['as' => 'expenses.delete', 'uses' => 'backend\ExpensesController@destroy']);
        Route::get('/expenses-edit/{id}/edit', ['as' => 'expenses.edit', 'uses' => 'backend\ExpensesController@edit']);
        Route::post('/expenses-update/{id}', ['as' => 'expenses.update', 'uses' => 'backend\ExpensesController@update']);
       
        Route::get('/expensesheading-list', ['as' => 'expensesheading.list', 'uses' => 'backend\ExpensesController@expensesheadinglist']);
        Route::get('/expensesheading-create', ['as' => 'expensesheading.create', 'uses' => 'backend\ExpensesController@expensesheadingcreate']);
        Route::post('/expensesheading-save', ['as' => 'expensesheading.store', 'uses' => 'backend\ExpensesController@expensesheadingstore']);
        //Route::delete('/expensesheading-delete/{id}', ['as' => 'expenses.delete', 'uses' => 'backend\ExpensesController@destroy']);
        Route::get('/expensesheading-edit/{id}/edit', ['as' => 'expensesheading.edit', 'uses' => 'backend\ExpensesController@expensesheadingedit']);
        Route::post('/expensesheading-update/{id}', ['as' => 'expensesheading.update', 'uses' => 'backend\ExpensesController@expensesheadingupdate']);

        Route::get('/expenses-report', ['as' => 'expenses.report', 'uses' => 'backend\ExpensesController@export']);

        /*------------bank section--------*/
        Route::get('/bank-create', ['as' => 'bank.create', 'uses' => 'backend\BankController@create']);
        Route::get('/bank-list', ['as' => 'bank.list', 'uses' => 'backend\BankController@index']);
        Route::post('/bank-save', ['as' => 'bank.store', 'uses' => 'backend\BankController@store']);
        Route::delete('/bank-delete/{id}', ['as' => 'bank.delete', 'uses' => 'backend\BankController@destroy']);
        Route::get('/bank-edit/{id}/edit', ['as' => 'bank.edit', 'uses' => 'backend\BankController@edit']);
        Route::post('/bank-update/{id}', ['as' => 'bank.update', 'uses' => 'backend\BankController@update']);

        Route::GET('accountNo','backend\TransactionController@accountNo')->name('transaction.accountNo');
        Route::POST('transaction/btlist','backend\TransactionController@btlist')->name('transaction.btlist');

        Route::get('/transaction-create', ['as' => 'transaction.create', 'uses' => 'backend\TransactionController@create']);
        Route::get('/transaction-list', ['as' => 'transaction.list', 'uses' => 'backend\TransactionController@index']);
        Route::post('/transaction-save', ['as' => 'transaction.store', 'uses' => 'backend\TransactionController@store']);
        Route::get('/transaction-update/{id}', ['as' => 'transaction.update', 'uses' => 'backend\TransactionController@update']);
        Route::get('/transaction-show/{id}', ['as' => 'transaction.show', 'uses' => 'backend\TransactionController@show']);
        Route::get('/transaction-report', ['as' => 'transaction.report', 'uses' => 'backend\TransactionController@export']);

        /*------------purchase report -------------------*/
        /*-
        * cpri => chalan wise purchase report index
        * cpri => c = chalan, p = purchase, r = report , i = index
        * cprs => c = chalan, p = purchase, r = report , s = search
        */
        Route::Get('cpri','backend\ReportController@cpri')->name('report.cpri');
        Route::POST('cprs','backend\ReportController@cprs')->name('report.cprs');
        /*-
        * pri => p = purchase, r = report , i = index
        * prs => p = purchase, r = report , s = search
        */
        Route::Get('pri','backend\ReportController@pri')->name('report.pri');
        Route::POST('prs','backend\ReportController@prs')->name('report.prs');
        /*- 
        * spri => s = supplier, p = purchase, r = report , i = index
        * sprs => s = supplier, p = purchase, r = report , s = search
        */
        Route::Get('spri','backend\ReportController@spri')->name('report.spri');
        Route::POST('sprs','backend\ReportController@sprs')->name('report.sprs');
        /**
         * sale report
        */
        /*-
        * isri => i = invoice, s = sale, r = report , i = index
        * isrs => i = invoice, s = sale, r = report , s = search
        */
        Route::Get('isri','backend\ReportController@isri')->name('report.isri');
        Route::POST('isrs','backend\ReportController@isrs')->name('report.isrs');
        /*-
        * psri => p = product, s = sale, r = report , i = index
        * psrs => p = product, s = sale, r = report , s = search
        */
        Route::Get('psri','backend\ReportController@psri')->name('report.psri');
        Route::POST('psrs','backend\ReportController@psrs')->name('report.psrs');
        /*- 
        * csri => c = customer, s = sale, r = report , i = index
        * csrs => c = customer, s = sale, r = report , s = search
        */
        Route::Get('csri','backend\ReportController@csri')->name('report.csri');
        Route::Get('csrs','backend\ReportController@csrs')->name('report.csrs');

        /*- 
        * wri => w = wastage,  r = report , i = index
        * wrs => w = wastage, r = report , s = search
        */
        Route::Get('wri','backend\ReportController@wri')->name('report.wri');
        Route::POST('wrs','backend\ReportController@wrs')->name('report.wrs');
        
        /*------category wise report---------*/
        Route::Get('category_report','backend\ReportController@category_report')->name('report.category_report');
        Route::POST('category_reports','backend\ReportController@category_reports')->name('report.category_reports');

        Route::Get('daily_report','backend\ReportController@daily_report')->name('report.daily_report');
        Route::POST('daily_reports','backend\ReportController@daily_reports')->name('report.daily_reports');
        
        Route::Get('possible_pay','backend\ReportController@possible_pay')->name('report.possible_pay');
        Route::Get('possible_pay','backend\ReportController@possible_pay')->name('report.possible_pay');
        
        Route::Get('salary-payment','backend\ReportController@salary_payment')->name('report.salary_payment');
        
        /*----------expense report---------------*/
        Route::Get('expenseReportIndex','backend\ReportController@expenseReportIndex')->name('report.expenseReportIndex');
        Route::POST('expenseReportSearch','backend\ReportController@expenseReportSearch')->name('report.expenseReportSearch');

    
        /*--------------customer ledger section---------------------------*/
        Route::Get('cledgeri','backend\LedgerController@cledgeri')->name('ledger.cledgeri');
        Route::POST('cledgers','backend\LedgerController@cledgers')->name('ledger.cledgers');
        /*--------------Supplier ledger section---------------------------*/
        Route::Get('sledgeri','backend\LedgerController@sledgeri')->name('ledger.sledgeri');
        Route::POST('sledgers','backend\LedgerController@sledgers')->name('ledger.sledgers');
        /*----------Ledger Report Section----------------*/
        Route::Get('bankbalance','backend\LedgerController@bankbalance')->name('ledger.bankbalance');
        /*---------------profit calculation report--------------------------------*/
        /** ppri = produt profit report index */
        Route::Get('ppri','backend\LedgerController@ppri')->name('ledger.ppri');
        Route::POST('pprs','backend\LedgerController@pprs')->name('ledger.pprs');
        /*---------invoice wise profit creport index--------------*/
        Route::Get('ipri','backend\LedgerController@ipri')->name('ledger.ipri');
        Route::POST('iprs','backend\LedgerController@iprs')->name('ledger.iprs');

        /*-------------ledger report section----------------*/
        Route::Get('ledger','backend\LedgerController@ledger')->name('ledger.ledger');
        Route::POST('ledgers','backend\LedgerController@ledgers')->name('ledger.ledgers');

        /*-------------income expense report----------------*/
        Route::Get('income_expense','backend\LedgerController@income_expense')->name('ledger.income_expense');
        Route::POST('income_expenses','backend\LedgerController@income_expenses')->name('ledger.income_expenses');
        Route::Get('daily_summary','backend\LedgerController@daily_summary')->name('ledger.daily_summary');
        Route::Get('summaryDetails','backend\LedgerController@summaryDetails')->name('ledger.summaryDetails');
        Route::Get('cash_flow','backend\LedgerController@cash_flow')->name('ledger.cash_flow');
        Route::Get('profit_loss','backend\LedgerController@profit_loss')->name('ledger.profit_loss');

        /*-----------cash section--------------------*/
        Route::Get('closing_index','backend\CashController@closing_index')->name('cash.closing_index');
        Route::POST('closing_save','backend\CashController@closing_save')->name('cash.closing_save');
        Route::Get('closing_ledger','backend\CashController@closing_ledger')->name('cash.closing_ledger');
        Route::POST('closing_search','backend\CashController@closing_search')->name('cash.closing_search');
        
        

    });
});